The Spring Framework

## org.springframework.jmx.export.metadata
Class ManagedAttribute

    java.lang.Object
      org.springframework.jmx.export.metadata.AbstractJmxAttribute
          org.springframework.jmx.export.metadata.ManagedAttribute

    public class ManagedAttribute

extends AbstractJmxAttribute

Metadata that indicates to expose a given bean property as JMX attribute. Only valid when used on a JavaBean getter or setter.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  `MetadataMBeanInfoAssembler`, `MBeanExporter`

Field Summary
`static ManagedAttribute` `EMPTY`

Constructor Summary
`ManagedAttribute()`

Method Summary
`Object` `getDefaultValue()` Return the default value of this attribute.
`int` `getPersistPeriod()`
`String` `getPersistPolicy()`
`void` `setDefaultValue(Object defaultValue)` Set the default value of this attribute.
`void` `setPersistPeriod(int persistPeriod)`
`void` `setPersistPolicy(String persistPolicy)`

Methods inherited from class org.springframework.jmx.export.metadata.AbstractJmxAttribute
`getCurrencyTimeLimit, getDescription, setCurrencyTimeLimit, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final ManagedAttribute EMPTY

Constructor Detail

### ManagedAttribute

    public ManagedAttribute()

Method Detail

### setDefaultValue

    public void setDefaultValue(Object defaultValue)

  Set the default value of this attribute.

### getDefaultValue

    public Object getDefaultValue()

  Return the default value of this attribute.

### setPersistPolicy

    public void setPersistPolicy(String persistPolicy)

### getPersistPolicy

    public String getPersistPolicy()

### setPersistPeriod

    public void setPersistPeriod(int persistPeriod)

### getPersistPeriod

    public int getPersistPeriod()

The Spring Framework

Copyright © 2002-2008 The Spring Framework.